---
# Get graylog tgz
- name: "Fetch graylog-server tgz"
  get_url:
    url: "https://github.com/Graylog2/graylog2-server/releases/download/0.20.0-rc.1/graylog2-server-0.20.0-rc.1.tgz"
    dest: /tmp/graylog2.tgz

# Unpack graylog
- name: "Unpack graylog tgz"
  shell: "cd /tmp && tar xvfz /tmp/graylog2.tgz"

# Copy graylog config
- name: "Copy graylog config file"
  template:
    src: graylog2.conf
    dest: '/etc/graylog2.conf'

# Start graylog
- name: "Start graylog with binary file"
  shell: "cd /tmp/graylog2-server-0.20.0-rc.1/bin && ./graylog2ctl restart > /dev/null 2>&1"